aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2021-02-18 04:37:29 +0100
committerThomas Deutschmann <whissi@gentoo.org>2021-02-18 04:43:37 +0100
commitbd268279a58eaa2761829bd5113a79cb82d9528a (patch)
treeaa7f189f63d829d660ec606ddfc929d7dbd2b1d2
parentBump libgcrypt to v1.9.2 (diff)
downloadgenkernel-bd268279a58eaa2761829bd5113a79cb82d9528a.tar.gz
genkernel-bd268279a58eaa2761829bd5113a79cb82d9528a.tar.bz2
genkernel-bd268279a58eaa2761829bd5113a79cb82d9528a.zip
gkbuilds/libgpg-error: do not install gpg-error-config or gpgrt-config anymore
The new gpgrt-config wrapper clashes with buildroot environment. Instead of patch gpgrt-config, libgcrypt has been patched to use pkg-config instead of gpg-error-config or gpgrt-config helper. Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--gkbuilds/libgpg-error.gkbuild20
1 files changed, 2 insertions, 18 deletions
diff --git a/gkbuilds/libgpg-error.gkbuild b/gkbuilds/libgpg-error.gkbuild
index 9c6193b..5d38e33 100644
--- a/gkbuilds/libgpg-error.gkbuild
+++ b/gkbuilds/libgpg-error.gkbuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
src_prepare() {
@@ -59,24 +59,8 @@ src_install() {
rm -rf \
"${D}"/usr/bin/gpg-error \
+ "${D}"/usr/bin/gpg-error-config \
"${D}"/usr/bin/gpgrt-config \
"${D}"/usr/bin/yat2m \
"${D}"/usr/share
-
- mv "${D}"/usr/bin/gpg-error-config "${D}"/usr/bin/gpg-error-config.ori \
- || die "Failed to rename '${D}/usr/bin/gpg-error-config' to '${D}/usr/bin/gpg-error-config.ori'!"
-
- cat >"${D}"/usr/bin/gpg-error-config <<-EOF
- #!/bin/sh
-
- SYSROOT=\$(dirname "\$(dirname "\$(dirname "\$(readlink -fm "\$0")")")")
-
- exec "\${SYSROOT}"/usr/bin/gpg-error-config.ori "\$@" | sed -e 's#/#'\${SYSROOT}'/#'
- EOF
-
- chmod +x "${D}"/usr/bin/gpg-error-config \
- || die "Failed to chmod of '${D}/bin/gpg-error-config'!"
-
- ln -s gpg-error-config "${D}"/usr/bin/gpgrt-config \
- || die "Failed to symlink '${D}/bin/gpgrt-config' to '${D}/bin/gpg-error-config'!"
}